Name:		fastbit
Version:	2.0.2
Release:	1%{?dist}
Summary:	An Efficient Compressed Bitmap Index Technology

Group:		Development/Databases
License:	BSD
URL:		https://sdm.lbl.gov/fastbit
Source0:	https://codeforge.lbl.gov/frs/download.php/416/fastbit-2.0.2.tar.gz

BuildRequires:  flex gcc-c++ doxygen
Requires:	sharutils

%description
FastBit is an open-source data processing library following the spirit of NoSQL
movement. It offers a set of searching functions supported by compressed bitmap
indexes. It treats user data in the column-oriented manner similar to
well-known database management systems such as Sybase IQ, MonetDB, and Vertica.
It is designed to accelerate user's data selection tasks without imposing undue
requirements. In particular, the user data is NOT required to be under the
control of FastBit software, which allows the user to continue to use their
existing data analysis tools.

%package -n lib%name
Summary: Shared libraries of FastBit
Group: System/Libraries
Provides: fastbit-liberouter

%description -n lib%name
FastBit is an open-source data processing library following the spirit of NoSQL
movement. It offers a set of searching functions supported by compressed bitmap
indexes. It treats user data in the column-oriented manner similar to
well-known database management systems such as Sybase IQ, MonetDB, and Vertica.
It is designed to accelerate user's data selection tasks without imposing undue
requirements. In particular, the user data is NOT required to be under the
control of FastBit software, which allows the user to continue to use their
existing data analysis tools.

This package contains shared libraries of FastBit.

%package -n lib%name-devel
Summary: Development files of FastBit
Group: Development/C++
Requires: lib%name = %version-%release
Provides: fastbit-liberouter-devel

%description -n lib%name-devel
FastBit is an open-source data processing library following the spirit of NoSQL
movement. It offers a set of searching functions supported by compressed bitmap
indexes. It treats user data in the column-oriented manner similar to
well-known database management systems such as Sybase IQ, MonetDB, and Vertica.
It is designed to accelerate user's data selection tasks without imposing undue
requirements. In particular, the user data is NOT required to be under the
control of FastBit software, which allows the user to continue to use their
existing data analysis tools.

This package contains development files of FastBit.

%package examples
Summary: Examples for FastBit
Group: Development/Databases
Requires: lib%name = %version-%release
Conflicts: ibutils

%description examples
FastBit is an open-source data processing library following the spirit of NoSQL
movement. It offers a set of searching functions supported by compressed bitmap
indexes. It treats user data in the column-oriented manner similar to
well-known database management systems such as Sybase IQ, MonetDB, and Vertica.
It is designed to accelerate user's data selection tasks without imposing undue
requirements. In particular, the user data is NOT required to be under the
control of FastBit software, which allows the user to continue to use their
existing data analysis tools.

This package contains examples for FastBit.

%prep
%setup -q

%build
autoreconf
%configure --enable-shared --disable-debug
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


# Introduce the library to the system
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files examples
%doc examples/*.c* examples/Makefile examples/README
%_bindir/ardea
%_bindir/fbmerge
%_bindir/ibis
%_bindir/rara
%_bindir/tcapi
%_bindir/thula
%_bindir/tiapi

%files -n lib%name
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/libfastbit.so.*

%files -n lib%name-devel
%_bindir/fastbit-config
%_includedir/*
%_libdir/libfastbit.so
%_libdir/libfastbit.la
%_libdir/libfastbit.a
%doc %_docdir/%name/*
